QGIS Application - Bug report #8459
Add Part on NULL geometry
2013-08-12 08:59 AM - Jean BAri

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17227
Description

| have a PostGIS table with some polygons having NULL geometry. The rows are correctly displayed in the attribute table in QGIS. As
expected, there is no geometry draw in QGIS.

| have tried different things in QGIS. The logical one for me was to use the tool "Add part" in the advanced editing toolbar. Unfortunately
this hasn't work.

| receive a message:

"error, could not add part"

"New part's geometry is not valid."
llokll

I log this as a bug, because | believe if | add a part to a null geometry, as a result | should have this part as my geometry. But |
understand, if this should be considered a new feature!

Before logging this as a bug, | also asked a question about how | can add a geometry to a NULL one:
http://gis.stackexchange.com/questions/67569/qgis-how-to-add-a-geometry-to-an-existing-feature-that-has-null-geometry

Thanks!

Note: It's the first time | create a new issue, so excuse me if it's not clear or not at the right place.

Associated revisions

Revision 872e5006 - 2013-11-04 12:14 PM - Laurent Defert

Use the layer type when adding a part to a featureless entry. Fix #8459

Revision e3e22be3 - 2013-11-05 05:35 PM - Marco Hugentobler

Merge pull request #984 from BioEcoForests/master

Use the layer type when adding a part to a featureless entry. Fix #8459

History

#1 - 2013-10-24 08:10 AM - Laurent Defert

| can reproduce this issue on the master of today.
The behaviour is also similar when adding a part to a WFS record that has a NULL geometry, with a different error message:

"Selected geometry could not be found"

#2 - 2013-11-04 03:39 AM - Laurent Defert

Added a pull request to fix the issue:
https://github.com/qgis/QGIS/pull/984

#3 - 2013-11-05 08:35 AM - Marco Hugentobler
- Status changed from Open to Closed

Fixed in changeset commit:"e3e22be36f50695739a47789e758f7f9abeef940".

2025-04-27 22


https://github.com/qgis/QGIS/pull/984

